ONVIF::Device::Types::H264DecOptions(3)

NAME
ONVIF::Device::Types::H264DecOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType H264DecOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ResolutionsAvailable

•   SupportedH264Profiles

•   SupportedInputBitrate

•   SupportedFrameRate

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::H264DecOptions
   ResolutionsAvailable =>  { # ONVIF::Device::Types::VideoResolution
     Width =>  $some_value, # int
     Height =>  $some_value, # int
   },
   SupportedH264Profiles => $some_value, # H264Profile
   SupportedInputBitrate =>  { # ONVIF::Device::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
   SupportedFrameRate =>  { # ONVIF::Device::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
 },

AUTHOR
Generated by SOAP::WSDL